/*
* essai avec des classes d'objets
* objectif = comprendre "bestioles" de Pol
* 
* source cet essai : alObjets1 à 7
* et http://www.codingforart.com/processing-section-eight/ 
* le programme principal intéragit avec les classes via les variables _x etc

******* ce que j'en retiens
* Chaque nouvelle balle est définie par le programme principal : 
* Ball( x, y, c, r, xspeed, yspeed);  avec les valeurs de x, y etc qui sont transmises à la classe
* sous la forme _x, _y etc
*******
*/

int counter = 0 ;
int MaxBalls = 50 ;
Ball[] balls = new Ball[MaxBalls] ;
Timer timer;

void setup() {
  size(640, 360, P2D);

  color c ; 
  float r ;   // radius
  float x ; // location
  float y ; // location
  float xspeed ; // speed
  float yspeed ; // speed


  // Make a new Ball
  for (int i = 0; i < balls.length; i ++ ) {
    c = color ( random(255), random(255), random(255), random(255) ); 
    r = random(20);   // radius
    x = random(width); // location
    y = random(height); // location
    xspeed = random( - 5, 5); // speed
    yspeed = random( - 5, 5); // speed
    balls[i] = new Ball( x, y, c, r, xspeed, yspeed); 
    
  }
  
  // initialiser le chrono
  timer = new Timer(5000000);
  timer.start();
}

void draw() {
  
  if (timer.isFinished()) {
    // do something;
    timer.start();
  }
  
  background(255);

  for (int i = 0; i < balls.length; i++) { 
    balls[i].display();   
    balls[i].move();           
  }  
  counter++ ; // one draw loop done
  // every 100 loops display passed time
  if( counter % 100 == 0) {
    println(counter, " : ", timer.passedTime );
  }
  
}