class Ball {

  // The PShape object
  PShape b;
  // Variables.
  color c; 
  float r;   // radius
  float x, y; // location
  float xspeed, yspeed; // speed

  // Constructor
  Ball( float _x, float _y, color _c, float _r, float _xspeed, float _yspeed ) {
    c = _c  ;
    r = _r ;
    x = _x ;
    y = _y ;
    xspeed = _xspeed ; 
    yspeed = _yspeed ;
    
    shapeMode(CENTER);

    // First create the shape
    // !!!!!!!!!!!! (coordonnées 0,0 car sinon on modifie l'origine 0,0  !!!!!!!!!
    b = createShape(ELLIPSE, 0, 0, r*2, r*2);
    // You can set fill and stroke
    // stroke(0);
    b.setStroke(false) ;
    // fill r g b a 
    b.setFill( c );
    // The shape is complete
  }

  // functions
  void move() {
    x += xspeed; // Increment x
    y += yspeed; // Increment y

    // Check horizontal edges 
    if (x > width || x < 0 ) {
      xspeed *= -1;
    }
    //Check vertical edges 
    if (y > height || y < 0) {
      yspeed *= -1;
    }
  }

  // Draw the ball
  void display() {
    // Locating and drawing the shape
    pushMatrix();
    translate(x, y);
    shape(b);
    popMatrix();    
  }
  
}